part of 'chat_detail_bloc.dart';

class ChatDetailState {
  bool isLoading;
  List<Message>? messages;  

  //Edit
  bool isEditKeyboard = false;
  Map<String, dynamic>? editDoc;

  //Reply
  bool isReplyKeyboard = false;
  Map<String, dynamic>? replyDoc;

  bool enableSentAppointment;
  String? idNeedRefreshMeetingState;

  ChatDetailState({
    this.isLoading = true,
    this.messages, 
    this.editDoc,
    this.isEditKeyboard = false,
    this.isReplyKeyboard = false,
    this.replyDoc,
    this.enableSentAppointment = false,
    this.idNeedRefreshMeetingState,
  });
 

  ChatDetailState update({
    bool? isLoading, 
    List<Message>? messages,
    bool? needScroll,
    bool? isEditKeyboard,
    Map<String, dynamic>? editDoc,
    bool? isReplyKeyboard,
    Map<String, dynamic>? replyDoc,
    bool? enableSentAppointment,
    String? idNeedRefreshMeetingState,
  }) {
    return ChatDetailState(
      isLoading: isLoading ?? this.isLoading,
      messages: messages ?? this.messages, 
      isEditKeyboard: isEditKeyboard ?? this.isEditKeyboard,
      editDoc: editDoc ?? this.editDoc,
      isReplyKeyboard: isReplyKeyboard ?? this.isReplyKeyboard,
      replyDoc: replyDoc ?? this.replyDoc,
      enableSentAppointment:
          enableSentAppointment ?? this.enableSentAppointment,
    );
  }
}
