import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';
import 'package:_private_core/_private_core.dart';

class WidgetEmojiLottie extends StatelessWidget {
  final String asset;
  final double? width;
  final bool? repeat;
  const WidgetEmojiLottie({
    Key? key,
    required this.asset,
    this.repeat,
    this.width,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Lottie.asset(
      assetlottie('emoji/$asset'),
      package: '_private_chat',
      width: width,
      repeat: repeat,
    );
  }
} 